Code Completion in Rails 2.3.2

I have here my voucher. Yet my employer works on 2.3.2 of Rails, and I notice threads popping up and answers of not supported. My question however is that, with 2.3.2 not supported at all, is that why Code Completion doesn't work for me at all? Netbeans doesn't support 2.3.2 properly, yet code completion there works fine (hence my question).

The problem is, I don't want to spend money on something that 'hopefully by the end of may' will have auto-completion for a version fo Rails that was stable when 1.0 came out. Just want some assurances really.

1 comment
Comment actions Permalink

Hello lee,

Code completion for Rails 2.3.2 is already working in the development version
of RubyMine, and we plan to publish a beta build with these changes this
week. So there's actually no "hopefully" there. :)

Rails 2.3.2 was released when we were in the final stabilization phase of
the RubyMine 1.0 release cycle, and we decided not to extend our scope and
risk any potential instabilities by trying to support the new version at
the last minute.

I have here my voucher. Yet my employer works on 2.3.2 of Rails, and I
notice threads popping up and answers of not supported. My question
however is that, with 2.3.2 not supported at all, is that why Code
Completion doesn't work for me at all? Netbeans doesn't support 2.3.2
properly, yet code compl

etion there works fine (hence my question).

The problem is, I don't want to spend money on something that
'hopefully by the end of may' will have auto-completion for a version
fo Rails that was stable when 1.0 came out. Just want some assurances
really.

---
Original message URL:
http://www.jetbrains.net/devnet/message/5237960#5237960

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0

Please sign in to leave a comment.